/*
    Stream Capture
    Copyright (C) 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

#ifndef DOWNLOADS_H
#define DOWNLOADS_H

#include <QWidget>
#include <QStandardItemModel>
#include <QStandardItem>
#include <QCloseEvent>
#include <QModelIndex>
#include <QDateTime>
#include <string>
#include <sstream>
#include <iostream>

#include "streamcapture.h"
#include "config2.h"
#include "config.h"

namespace Ui {
    class Downloads;
}

class Downloads : public QWidget
{
    Q_OBJECT

public:
    explicit Downloads(QWidget *parent = 0);
    ~Downloads();

protected:
        void closeEvent(QCloseEvent *event);

private slots:
    void remove();
    void exportera();
    void importera();


private:
    Ui::Downloads *ui;
    Config2 *k2;
    Config *k;
    void lasin();
    void lasin(QString);
    void setStartConfig();
    void setEndConfig();
    QStandardItemModel *model;
    std::string strippadString(QString);
    std::string strippadString2(QString);
};

#endif // DOWNLOADS_H
